---
apiVersion: v1
items:
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:47:44Z"
    creationTimestamp: "2022-03-08T10:13:28Z"
    labels:
      k8s-app: etcd
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:k8s-app: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:47:35Z"
    name: etcd
    namespace: openshift-etcd
    resourceVersion: "20555"
    selfLink: /api/v1/namespaces/openshift-etcd/endpoints/etcd
    uid: 0152cf30-5e2f-4542-bec4-9ea653863de1
  subsets:
  - addresses:
    - ip: 10.0.94.119
      nodeName: master-0.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: etcd-master-0.case03116926.lab.upshift.rdu2.redhat.com
        namespace: openshift-etcd
        resourceVersion: "19011"
        uid: ac935181-95b3-4fdb-b193-c153a53b7101
    - ip: 10.0.94.219
      nodeName: master-2.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: etcd-master-2.case03116926.lab.upshift.rdu2.redhat.com
        namespace: openshift-etcd
        resourceVersion: "18117"
        uid: 84b92b9a-14e4-4f08-b883-1a31f1b707c3
    - ip: 10.0.95.76
      nodeName: master-1.case03116926.lab.upshift.rdu2.redhat.com
      targetRef:
        kind: Pod
        name: etcd-master-1.case03116926.lab.upshift.rdu2.redhat.com
        namespace: openshift-etcd
        resourceVersion: "20552"
        uid: 282c811f-7994-453a-9c2e-2f2cc78571b8
    ports:
    - name: etcd
      port: 2379
      protocol: TCP
    - name: etcd-metrics
      port: 9979
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      alpha.installer.openshift.io/etcd-bootstrap: 10.0.89.186
    creationTimestamp: "2022-03-08T10:13:30Z"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:alpha.installer.openshift.io/etcd-bootstrap: {}
      manager: cluster-bootstrap
      operation: Update
      time: "2022-03-08T10:13:30Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:subsets: {}
      manager: cluster-etcd-operator
      operation: Update
      time: "2022-03-08T10:38:45Z"
    name: host-etcd-2
    namespace: openshift-etcd
    resourceVersion: "5947"
    selfLink: /api/v1/namespaces/openshift-etcd/endpoints/host-etcd-2
    uid: 2199c397-f278-496a-bde1-5d16e9abba5d
  subsets:
  - addresses:
    - ip: 10.0.94.219
      nodeName: master-2.case03116926.lab.upshift.rdu2.redhat.com
    - ip: 10.0.94.119
      nodeName: master-0.case03116926.lab.upshift.rdu2.redhat.com
    - ip: 10.0.95.76
      nodeName: master-1.case03116926.lab.upshift.rdu2.redhat.com
    ports:
    - name: etcd
      port: 2379
      protocol: TCP
kind: EndpointsList
metadata:
  resourceVersion: "83554"
  selfLink: /api/v1/namespaces/openshift-etcd/endpoints
